%define section   free
%define base_name   torque-gen

Name:           db-%{base_name}
Version:        3.1
Release:        2jpp
Epoch:          0
Summary:        Torque persistence layer

Group:          Development/Libraries/Java
License:        Apache Software License
URL:            http://db.apache.org/torque/
Source0:        torque-gen-3.1-src.tar.gz
Source1:        torque-gen-3.1-doc.tar.gz
Patch0:         torque-gen-build_xml.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant >= 0:1.6, ant-junit >= 0:1.6
BuildRequires:  junit
BuildRequires:  jakarta-commons-collections
BuildRequires:  jakarta-commons-lang
BuildRequires:  jakarta-commons-logging
BuildRequires:  velocity
BuildRequires:  village
Requires:  jakarta-commons-collections
Requires:  jakarta-commons-lang
Requires:  jakarta-commons-logging
Requires:  velocity
Requires:  village

%description
Torque Generator may be used to generate all the 
database resources required by your application.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%package        manual
Summary:        Docs for %{name}
Group:          Development/Documentation

%description    manual
%{summary}.

%prep
%setup -q -n %{base_name}-%{version}
echo >> build.xml
gzip -dc %{SOURCE1} | tar -xf -

%patch0

%build
export OPT_JAR_LIST="ant/ant-junit junit"
export CLASSPATH=$(build-classpath \
commons-collections \
commons-lang \
commons-logging \
velocity \
village \
)
CLASSPATH=target/classes:target/test-classes:$CLASSPATH
ant -Dbuild.sysclasspath=only dist

%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 dist/%{base_name}-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr src/schema $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/schema
cp -pr src/templates $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/templates
cp -pr src/conf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# manual
install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_docdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}
%ghost %doc %{_docdir}/%{name}

%changelog

* Fri Aug 20 2004 Ralph Apel <r.apel at r-apel.de> - 0:3.1-2jpp
- Build with ant-1.6.2
- Relax some versioned requirements

* Wed Jan 28 2004 Ralph Apel <r.apel at r-apel.de> - 0:3.1-1jpp
- First JPackage release
